This is EngineTests.info, produced by Macaulay2, version 1.20

EngineTests -- a test suite for the Macaulay2 engine
****************************************************

Description
===========

Caveat
======

Authors
=======

  * Michael E. Stillman (see
    http://www.math.cornell.edu/People/Faculty/stillman.html )
    <mike@math.cornell.edu>
  * Jakob Kröker (see  ) <kroeker@math.uni-hannover.de>

Version
=======

This documentation describes version 0.1 of EngineTests.

Source code
===========

The source code from which this documentation is derived is in the file
EngineTests.m2 (see common/share/Macaulay2/EngineTests.m2 ). The auxiliary
files accompanying it are in the directory EngineTests/ (see
common/share/Macaulay2/EngineTests/ ).

Exports
=======

  * Functions and commands
      * jordanForm (missing documentation)
      * runTests (missing documentation)
      * testClean (missing documentation)
      * testDeterminant (missing documentation)
      * testGF (missing documentation)
      * testGFGenerator (missing documentation)
      * testGFpromote (missing documentation)
      * testHasEngineLinearAlgebra (missing documentation)
      * testInverse (missing documentation)
      * testLinearAlgebra (missing documentation)
      * testLinearAlgebra$FLINT (missing documentation)
      * testLinearAlgebraSet (missing documentation)
      * testLUBoundaryCases (missing documentation)
      * testMonomialOrderingToMatrix (missing documentation)
      * testMult (missing documentation)
      * testMutableMatrices (missing documentation)
      * testNorm (missing documentation)
      * testNullspace (missing documentation)
      * testPromote (missing documentation)
      * testPromoteLift (missing documentation)
      * testRank (missing documentation)
      * testRankProfile (missing documentation)
      * testRingMapEval (missing documentation)
      * testSolve (missing documentation)
      * ZZpFFPACK (missing documentation)
      * ZZpFlint (missing documentation)
  * Other things
      * fields (missing documentation)
      * fieldsFFPACK (missing documentation)
      * fieldsFLINT (missing documentation)
      * fieldsGF (missing documentation)
      * fieldsGivaro (missing documentation)
      * finitefields (missing documentation)
      * hasFFPACK (missing documentation)
      * maxFFPACKPrime (missing documentation)
      * maxFLINTPrime (missing documentation)
      * ringsCC (missing documentation)
      * ringsPID (missing documentation)
      * ringsRR (missing documentation)

For the programmer
==================

The object EngineTests, is a package (Macaulay2Doc).

fields
******

For the programmer
==================

The object fields (missing documentation) is a list (Macaulay2Doc).

fieldsFFPACK
************

For the programmer
==================

The object fieldsFFPACK (missing documentation) is a list (Macaulay2Doc).

fieldsFLINT
***********

For the programmer
==================

The object fieldsFLINT (missing documentation) is a list (Macaulay2Doc).

fieldsGF
********

For the programmer
==================

The object fieldsGF (missing documentation) is a list (Macaulay2Doc).

fieldsGivaro
************

For the programmer
==================

The object fieldsGivaro (missing documentation) is a list (Macaulay2Doc).

finitefields
************

For the programmer
==================

The object finitefields (missing documentation) is a list (Macaulay2Doc).

hasFFPACK
*********

For the programmer
==================

The object hasFFPACK (missing documentation) is a Boolean value (Macaulay2Doc).

jordanForm
**********

Ways to use jordanForm :
========================

  * jordanForm(Ring,List) (missing documentation)

For the programmer
==================

The object jordanForm (missing documentation) is a method function (Macaulay2Doc).

maxFFPACKPrime
**************

For the programmer
==================

The object maxFFPACKPrime (missing documentation) is an integer (Macaulay2Doc).

maxFLINTPrime
*************

For the programmer
==================

The object maxFLINTPrime (missing documentation) is an integer (Macaulay2Doc).

ringsCC
*******

For the programmer
==================

The object ringsCC (missing documentation) is a list (Macaulay2Doc).

ringsPID
********

For the programmer
==================

The object ringsPID (missing documentation) is a list (Macaulay2Doc).

ringsRR
*******

For the programmer
==================

The object ringsRR (missing documentation) is a list (Macaulay2Doc).

runTests
********

For the programmer
==================

The object runTests (missing documentation) is a function closure (Macaulay2Doc).

testClean
*********

For the programmer
==================

The object testClean (missing documentation) is a function closure (Macaulay2Doc).

testDeterminant
***************

For the programmer
==================

The object testDeterminant (missing documentation) is a function closure (Macaulay2Doc).

testGF
******

For the programmer
==================

The object testGF (missing documentation) is a function closure (Macaulay2Doc).

testGFGenerator
***************

For the programmer
==================

The object testGFGenerator (missing documentation) is a function closure (Macaulay2Doc).

testGFpromote
*************

For the programmer
==================

The object testGFpromote (missing documentation) is a function closure (Macaulay2Doc).

testHasEngineLinearAlgebra
**************************

For the programmer
==================

The object testHasEngineLinearAlgebra (missing documentation) is a
function closure (Macaulay2Doc).

testInverse
***********

For the programmer
==================

The object testInverse (missing documentation) is a function closure (Macaulay2Doc).

testLinearAlgebra
*****************

For the programmer
==================

The object testLinearAlgebra (missing documentation) is a function closure (Macaulay2Doc).

testLinearAlgebraSet
********************

For the programmer
==================

The object testLinearAlgebraSet (missing documentation) is a function closure (Macaulay2Doc).

testLUBoundaryCases
*******************

For the programmer
==================

The object testLUBoundaryCases (missing documentation) is a function closure (Macaulay2Doc).

testMonomialOrderingToMatrix
****************************

For the programmer
==================

The object testMonomialOrderingToMatrix (missing documentation) is a
function closure (Macaulay2Doc).

testMult
********

For the programmer
==================

The object testMult (missing documentation) is a function closure (Macaulay2Doc).

testMutableMatrices
*******************

For the programmer
==================

The object testMutableMatrices (missing documentation) is a function closure (Macaulay2Doc).

testNorm
********

For the programmer
==================

The object testNorm (missing documentation) is a function closure (Macaulay2Doc).

testNullspace
*************

For the programmer
==================

The object testNullspace (missing documentation) is a function closure (Macaulay2Doc).

testPromote
***********

For the programmer
==================

The object testPromote (missing documentation) is a function closure (Macaulay2Doc).

testPromoteLift
***************

For the programmer
==================

The object testPromoteLift (missing documentation) is a function closure (Macaulay2Doc).

testRank
********

For the programmer
==================

The object testRank (missing documentation) is a function closure (Macaulay2Doc).

testRankProfile
***************

For the programmer
==================

The object testRankProfile (missing documentation) is a function closure (Macaulay2Doc).

testRingMapEval
***************

For the programmer
==================

The object testRingMapEval (missing documentation) is a function closure (Macaulay2Doc).

testSolve
*********

For the programmer
==================

The object testSolve (missing documentation) is a function closure (Macaulay2Doc).

ZZpFFPACK
*********

For the programmer
==================

The object ZZpFFPACK (missing documentation) is a function closure (Macaulay2Doc).

ZZpFlint
********

For the programmer
==================

The object ZZpFlint (missing documentation) is a function closure (Macaulay2Doc).